This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1300228 - yum-rhn-plugin-2.5.1-1 : Python 2.6 incompatibility, 'encode() takes no keyword arguments'
yum-rhn-plugin-2.5.1-1 : Python 2.6 incompatibility, 'encode() takes no keywo...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
2.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gennadii Altukhov
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2016-01-20 05:14 EST by Lukáš Hellebrandt
Modified: 2017-09-28 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-16 04:01:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Traceback (1.86 KB, text/plain)
2016-01-20 05:21 EST, Lukáš Hellebrandt
no flags Details

  None (edit)
Description Lukáš Hellebrandt 2016-01-20 05:14:00 EST
Description of problem:
With yum-rhn-plugin-2.5.1-1, on RHEL6 upon running for example 'yum repolist', a traceback happens (attached).

Version-Release number of selected component (if applicable):
yum-rhn-plugin-2.5.1-1
RHEL 6
Python 2.6.6

How reproducible:
Always

Steps to Reproduce:
1. Have yum-rhn-plugin-2.5.1-1 installed
2. Run 'yum repolist'

Actual results:
Traceback

Expected results:
Repo list

Additional info:
This is beacause there is Python 2.6 in RHEL 6 and encode() has changed in 2.7, see https://docs.python.org/2/library/stdtypes.html#str.encode .
Comment 1 Lukáš Hellebrandt 2016-01-20 05:21 EST
Created attachment 1116572 [details]
Traceback
Comment 2 Lukáš Hellebrandt 2016-01-20 05:26:46 EST
I used rhnlib-2.5.82-1 and rhn-client-tools-2.5.9-1
Comment 3 Gennadii Altukhov 2016-01-23 11:26:15 EST
Taking...
Comment 4 Gennadii Altukhov 2016-01-25 06:56:00 EST
spacewalk.git: 
7641f3613d1eafff15c4567f0d32ce86df8c166b
Comment 5 Tomáš Kašpárek 2016-06-16 04:01:10 EDT
Spacewalk 2.5 was released.
Comment 6 Eric Herget 2017-09-28 14:11:17 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.